Skip Navigation LinksSystem Requirements

Client System Requirements - Ultra-Thin Client

As Trade24/7 is a web-based software solution, the only requirement to enable client PC's to access the application is a web browser.

Currently Trade24/7 works with Microsoft Internet Explorer version 5.5 Service Pack 1 or higher. Please refer to the Internet Explorer Home Page regarding the system requirements for running Internet Explorer.


Server System Requirements - Built on Proven Technologies

Trade24/7's server applications require Microsoft Windows 2000 or higher running Internet Information Services (IIS) with SQL Server 2000 or higher.

As there are many factors affecting the server hardware requirements for running a Trade24/7 server, there is no single recommended specification. However, the consultants at LFE Software are more than happy to assist you in determining a system specification tailored to your needs.